/*
-----------------------------------------------------------------------------
This source file is part of OGRE
    (Object-oriented Graphics Rendering Engine)
For the latest info, see http://ogre.sourceforge.net/

Copyright  2000-2002 The OGRE Team
Also see acknowledgements in Readme.html

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU Lesser General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 59 Temple
Place - Suite 330, Boston, MA 02111-1307, USA, or go to
http://www.gnu.org/copyleft/lesser.txt.
-----------------------------------------------------------------------------
*/
#ifndef _Ogre_H__
#define _Ogre_H__
// This file includes all the other files which you will need to build a client application
#include "OgrePrerequisites.h"

#include "OgreRoot.h"
#include "OgreTextureManager.h"
#include "OgreSceneManager.h"
#include "OgreSceneManagerEnumerator.h"
#include "OgreCamera.h"
#include "OgreViewport.h"
#include "OgreRenderWindow.h"
#include "OgreRenderSystem.h"
#include "OgreMaterial.h"
#include "OgreLight.h"
#include "OgreEntity.h"
#include "OgreSubEntity.h"
#include "OgreSceneNode.h"
#include "OgreMatrix3.h"
#include "OgreMatrix4.h"
#include "OgreMeshManager.h"
#include "OgreTextureManager.h"
#include "OgreMesh.h"
#include "OgreSubMesh.h"
#include "OgreAxisAlignedBox.h"
#include "OgrePatchSurface.h"
#include "OgreMath.h"
#include "OgreControllerManager.h"
#include "OgreInput.h"
#include "OgreLogManager.h"
#include "OgreArchiveManager.h"
#include "OgreMaterialManager.h"
#include "OgreSDDataChunk.h"
#include "OgreBillboardSet.h"
#include "OgreSimpleRenderable.h"
#include "OgreParticleSystemManager.h"
#include "OgreParticleEmitter.h"
#include "OgreParticleAffector.h"
#include "OgreMeshSerializer.h"
#include "OgreMaterialManager.h"
#include "OgreSkeleton.h"
#include "OgreBone.h"
#include "OgreSkeletonSerializer.h"
#include "OgreSkeletonManager.h"
#include "OgreAnimation.h"
#include "OgreAnimationTrack.h"
#include "OgreKeyFrame.h"
#include "OgreRenderTargetListener.h"
#include "OgreGuiManager.h"
#include "OgreGuiElement.h"
#include "OgreGuiContainer.h"
#include "OgreOverlay.h"
#include "OgreRenderQueueListener.h"
#include "OgreEventProcessor.h"
#include "OgreOverlayManager.h"
#include "OgreRenderTexture.h"
#include "OgreUserDefinedObject.h"
// .... more to come

#endif
